
From: Diego Calleja Garcia <diegocg@teleline.es>

Move CONFIG_KALLSYMS out of the arch directory and into init/.

It defaults to "on" unless the user explicitly turns it off in the
"embedded systems" menu.



 25-akpm/arch/arm/Kconfig    |    8 --------
 25-akpm/arch/arm26/Kconfig  |    8 --------
 25-akpm/arch/i386/Kconfig   |    7 -------
 25-akpm/arch/ia64/Kconfig   |    8 --------
 25-akpm/arch/parisc/Kconfig |    8 --------
 25-akpm/arch/ppc/Kconfig    |    7 -------
 25-akpm/arch/x86_64/Kconfig |    7 -------
 25-akpm/init/Kconfig        |    8 ++++++++
 8 files changed, 8 insertions(+), 53 deletions(-)

diff -puN arch/arm26/Kconfig~kallsyms-defaults-to-on arch/arm26/Kconfig
--- 25/arch/arm26/Kconfig~kallsyms-defaults-to-on	Tue Jul  8 13:39:04 2003
+++ 25-akpm/arch/arm26/Kconfig	Tue Jul  8 13:39:04 2003
@@ -391,14 +391,6 @@ config DEBUG_ERRORS
 	  you are concerned with the code size or don't want to see these
 	  messages.
 
-config KALLSYMS
-	bool "Load all symbols for debugging/kksymoops"
-	depends on DEBUG_KERNEL
-	help
-	  Say Y here to let the kernel print out symbolic crash information and
-	  symbolic stack backtraces. This increases the size of the kernel
-	  somewhat, as all symbols have to be loaded into the kernel image.
-
 # These options are only for real kernel hackers who want to get their hands dirty. 
 config DEBUG_LL
 	bool "Kernel low-level debugging functions"
diff -puN arch/arm/Kconfig~kallsyms-defaults-to-on arch/arm/Kconfig
--- 25/arch/arm/Kconfig~kallsyms-defaults-to-on	Tue Jul  8 13:39:04 2003
+++ 25-akpm/arch/arm/Kconfig	Tue Jul  8 13:39:04 2003
@@ -1061,14 +1061,6 @@ config DEBUG_ERRORS
 	  you are concerned with the code size or don't want to see these
 	  messages.
 
-config KALLSYMS
-	bool "Load all symbols for debugging/kksymoops"
-	depends on DEBUG_KERNEL
-	help
-	  Say Y here to let the kernel print out symbolic crash information and
-	  symbolic stack backtraces. This increases the size of the kernel
-	  somewhat, as all symbols have to be loaded into the kernel image.
-
 # These options are only for real kernel hackers who want to get their hands dirty. 
 config DEBUG_LL
 	bool "Kernel low-level debugging functions"
diff -puN arch/i386/Kconfig~kallsyms-defaults-to-on arch/i386/Kconfig
--- 25/arch/i386/Kconfig~kallsyms-defaults-to-on	Tue Jul  8 13:39:04 2003
+++ 25-akpm/arch/i386/Kconfig	Tue Jul  8 13:39:04 2003
@@ -1363,13 +1363,6 @@ config DEBUG_HIGHMEM
 	  This options enables addition error checking for high memory systems.
 	  Disable for production systems.
 
-config KALLSYMS
-	bool "Load all symbols for debugging/kksymoops"
-	help
-	  Say Y here to let the kernel print out symbolic crash information and
-	  symbolic stack backtraces. This increases the size of the kernel
-	  somewhat, as all symbols have to be loaded into the kernel image.
-
 config DEBUG_SPINLOCK_SLEEP
 	bool "Sleep-inside-spinlock checking"
 	help
diff -puN arch/ia64/Kconfig~kallsyms-defaults-to-on arch/ia64/Kconfig
--- 25/arch/ia64/Kconfig~kallsyms-defaults-to-on	Tue Jul  8 13:39:04 2003
+++ 25-akpm/arch/ia64/Kconfig	Tue Jul  8 13:39:04 2003
@@ -667,14 +667,6 @@ config DEBUG_KERNEL
 	  Say Y here if you are developing drivers or trying to debug and
 	  identify kernel problems.
 
-config KALLSYMS
-	bool "Load all symbols for debugging/kksymoops"
-	depends on DEBUG_KERNEL
-	help
-	  Say Y here to let the kernel print out symbolic crash information and
-	  symbolic stack backtraces. This increases the size of the kernel
-	  somewhat, as all symbols have to be loaded into the kernel image.
-
 config IA64_PRINT_HAZARDS
 	bool "Print possible IA-64 dependency violations to console"
 	depends on DEBUG_KERNEL
diff -puN arch/parisc/Kconfig~kallsyms-defaults-to-on arch/parisc/Kconfig
--- 25/arch/parisc/Kconfig~kallsyms-defaults-to-on	Tue Jul  8 13:39:04 2003
+++ 25-akpm/arch/parisc/Kconfig	Tue Jul  8 13:39:04 2003
@@ -287,14 +287,6 @@ config MAGIC_SYSRQ
 	  keys are documented in <file:Documentation/sysrq.txt>. Don't say Y
 	  unless you really know what this hack does.
 
-config KALLSYMS
-	bool "Load all symbols for debugging/kksymoops"
-	depends on DEBUG_KERNEL
-	help
-	  Say Y here to let the kernel print out symbolic crash information and
-	  symbolic stack backtraces. This increases the size of the kernel
-	  somewhat, as all symbols have to be loaded into the kernel image.
-
 endmenu
 
 source "security/Kconfig"
diff -puN arch/ppc/Kconfig~kallsyms-defaults-to-on arch/ppc/Kconfig
--- 25/arch/ppc/Kconfig~kallsyms-defaults-to-on	Tue Jul  8 13:39:04 2003
+++ 25-akpm/arch/ppc/Kconfig	Tue Jul  8 13:39:04 2003
@@ -1449,13 +1449,6 @@ config DEBUG_HIGHMEM
 	  This options enables additional error checking for high memory
 	  systems.  Disable for production systems.
 
-config KALLSYMS
-	bool "Load all symbols for debugging/kksymoops"
-	help
-	  Say Y here to let the kernel print out symbolic crash information and
-	  symbolic stack backtraces. This increases the size of the kernel
-	  somewhat, as all symbols have to be loaded into the kernel image.
-
 config DEBUG_SPINLOCK_SLEEP
 	bool "Sleep-inside-spinlock checking"
 	depends on DEBUG_KERNEL
diff -puN arch/x86_64/Kconfig~kallsyms-defaults-to-on arch/x86_64/Kconfig
--- 25/arch/x86_64/Kconfig~kallsyms-defaults-to-on	Tue Jul  8 13:39:04 2003
+++ 25-akpm/arch/x86_64/Kconfig	Tue Jul  8 13:39:04 2003
@@ -540,13 +540,6 @@ config INIT_DEBUG
 	  Fill __init and __initdata at the end of boot. This helps debugging
 	  illegal uses of __init and __initdata after initialization.	  
 
-config KALLSYMS
-	bool "Load all symbols for debugging/kksymoops"
-	help
-	  Say Y here to let the kernel print out symbolic crash information and
-	  symbolic stack backtraces. This increases the size of the kernel
-	  somewhat, as all symbols have to be loaded into the kernel image.
-
 config FRAME_POINTER
        bool "Compile the kernel with frame pointers"
        help
diff -puN init/Kconfig~kallsyms-defaults-to-on init/Kconfig
--- 25/init/Kconfig~kallsyms-defaults-to-on	Tue Jul  8 13:39:04 2003
+++ 25-akpm/init/Kconfig	Tue Jul  8 13:39:04 2003
@@ -118,6 +118,14 @@ menuconfig EMBEDDED
 	  a "non-standard" kernel.  Only use this if you really know what you
 	  are doing.
 
+config KALLSYMS
+	 bool "Load all symbols for debugging/kksymoops" if EMBEDDED
+	 default y
+	 help
+	   Say Y here to let the kernel print out symbolic crash information and
+	   symbolic stack backtraces. This increases the size of the kernel
+	   somewhat, as all symbols have to be loaded into the kernel image.
+
 config FUTEX
 	bool "Enable futex support" if EMBEDDED
 	default y

_
